<?php

class Siteguarding_Security_Block_Adminhtml_Securitybackend extends Mage_Adminhtml_Block_Template
{

    protected function _construct()
    {
        $base_path = Mage::getBaseDir('base');

        $this->root_path = $base_path;
        $this->webanalyze_path = $base_path . DIRECTORY_SEPARATOR . 'webanalyze';
        $this->img_path = $this->getSkinUrl() . 'images' . DIRECTORY_SEPARATOR . 'security' . DIRECTORY_SEPARATOR;
    }

    public function check_sg_tools()
    {
        $tools_file = $this->root_path . DIRECTORY_SEPARATOR . 'siteguarding_tools.php';

        if (is_file($tools_file)) {
            chmod($tools_file, 0644);
            return true;
        } else {
            return false;
        }
    }

    public function check_sg_conf()
    {
        $conf_file = $this->webanalyze_path . DIRECTORY_SEPARATOR . 'website-security-conf.php';

        if (file_exists($conf_file)) {
            chmod($conf_file, 0644);
            return true;
        } else {
            if (!file_exists($this->webanalyze_path)) {
                mkdir($this->webanalyze_path);
            }
            return false;
        }
    }

    public function get_autologin_id()
    {
        include_once($this->webanalyze_path . DIRECTORY_SEPARATOR . 'website-security-conf.php');
    }

}